package	jp.co.sds_corp.util.jmx;

import jp.co.sds_corp.util.config.IConfiguration;

public interface IMBean
{
	public static final String[] states = {
		"Stopped","Stopping","Starting","Started"
	};
	public static final int STOPPED  = 0;
	public static final int STOPPING = 1;
	public static final int STARTING = 2;
	public static final int STARTED  = 3;

	public void init( IConfiguration config ) throws Exception;
	public void init() throws Exception;
	public void start() throws Exception;
	public void stop();
	public void destroy();

	public String getName();
	public int getState();
	public String getStateString();
}
